# petsc4py.PETSc.KSP.HPDDMType

class petsc4py.PETSc.KSP.HPDDMType

  Bases: `object`

  The HPDDM Krylov solver type.

  Attributes Summary

  `BCG` | Constant `BCG` of type `int`
  `BFBCG` | Constant `BFBCG` of type `int`
  `BGCRODR` | Constant `BGCRODR` of type `int`
  `BGMRES` | Constant `BGMRES` of type `int`
  `CG` | Constant `CG` of type `int`
  `GCRODR` | Constant `GCRODR` of type `int`
  `GMRES` | Constant `GMRES` of type `int`
  `PREONLY` | Constant `PREONLY` of type `int`

  Attributes Documentation

  BCG: int = BCG

    Constant `BCG` of type `int`

  BFBCG: int = BFBCG

    Constant `BFBCG` of type `int`

  BGCRODR: int = BGCRODR

    Constant `BGCRODR` of type `int`

  BGMRES: int = BGMRES

    Constant `BGMRES` of type `int`

  CG: int = CG

    Constant `CG` of type `int`

  GCRODR: int = GCRODR

    Constant `GCRODR` of type `int`

  GMRES: int = GMRES

    Constant `GMRES` of type `int`

  PREONLY: int = PREONLY

    Constant `PREONLY` of type `int`